# -*- encoding: utf-8 -*-
# stub: puppet-lint 1.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "puppet-lint"
  s.version = "1.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Tim Sharpe"]
  s.date = "2014-09-23"
  s.description = "Checks your Puppet manifests against the Puppetlabs\n  style guide and alerts you to any discrepancies."
  s.email = "tim@sharpe.id.au"
  s.executables = ["puppet-lint"]
  s.files = [".gitignore", ".travis.yml", "Gemfile", "LICENSE", "README.md", "Rakefile", "bin/puppet-lint", "lib/puppet-lint.rb", "lib/puppet-lint/bin.rb", "lib/puppet-lint/checkplugin.rb", "lib/puppet-lint/checks.rb", "lib/puppet-lint/configuration.rb", "lib/puppet-lint/data.rb", "lib/puppet-lint/lexer.rb", "lib/puppet-lint/lexer/token.rb", "lib/puppet-lint/monkeypatches.rb", "lib/puppet-lint/monkeypatches/string_percent.rb", "lib/puppet-lint/monkeypatches/string_prepend.rb", "lib/puppet-lint/optparser.rb", "lib/puppet-lint/plugins.rb", "lib/puppet-lint/plugins/check_classes.rb", "lib/puppet-lint/plugins/check_comments.rb", "lib/puppet-lint/plugins/check_conditionals.rb", "lib/puppet-lint/plugins/check_documentation.rb", "lib/puppet-lint/plugins/check_nodes.rb", "lib/puppet-lint/plugins/check_resources.rb", "lib/puppet-lint/plugins/check_strings.rb", "lib/puppet-lint/plugins/check_variables.rb", "lib/puppet-lint/plugins/check_whitespace.rb", "lib/puppet-lint/tasks/puppet-lint.rb", "lib/puppet-lint/version.rb", "puppet-lint.gemspec", "spec/fixtures/test/manifests/fail.pp", "spec/fixtures/test/manifests/ignore.pp", "spec/fixtures/test/manifests/ignore_multiple_block.pp", "spec/fixtures/test/manifests/ignore_multiple_line.pp", "spec/fixtures/test/manifests/ignore_reason.pp", "spec/fixtures/test/manifests/init.pp", "spec/fixtures/test/manifests/malformed.pp", "spec/fixtures/test/manifests/warning.pp", "spec/puppet-lint/bin_spec.rb", "spec/puppet-lint/configuration_spec.rb", "spec/puppet-lint/ignore_overrides_spec.rb", "spec/puppet-lint/lexer/token_spec.rb", "spec/puppet-lint/lexer_spec.rb", "spec/puppet-lint/plugins/check_classes/autoloader_layout_spec.rb", "spec/puppet-lint/plugins/check_classes/class_inherits_from_params_class_spec.rb", "spec/puppet-lint/plugins/check_classes/inherits_across_namespaces_spec.rb", "spec/puppet-lint/plugins/check_classes/names_containing_dash_spec.rb", "spec/puppet-lint/plugins/check_classes/nested_classes_or_defines_spec.rb", "spec/puppet-lint/plugins/check_classes/parameter_order_spec.rb", "spec/puppet-lint/plugins/check_classes/right_to_left_relationship_spec.rb", "spec/puppet-lint/plugins/check_classes/variable_scope_spec.rb", "spec/puppet-lint/plugins/check_comments/slash_comments_spec.rb", "spec/puppet-lint/plugins/check_comments/star_comments_spec.rb", "spec/puppet-lint/plugins/check_conditionals/case_without_default_spec.rb", "spec/puppet-lint/plugins/check_conditionals/selector_inside_resource_spec.rb", "spec/puppet-lint/plugins/check_documentation/documentation_spec.rb", "spec/puppet-lint/plugins/check_nodes/unquoted_node_name_spec.rb", "spec/puppet-lint/plugins/check_resources/duplicate_params_spec.rb", "spec/puppet-lint/plugins/check_resources/ensure_first_param_spec.rb", "spec/puppet-lint/plugins/check_resources/ensure_not_symlink_target_spec.rb", "spec/puppet-lint/plugins/check_resources/file_mode_spec.rb", "spec/puppet-lint/plugins/check_resources/unquoted_file_mode_spec.rb", "spec/puppet-lint/plugins/check_resources/unquoted_resource_title_spec.rb", "spec/puppet-lint/plugins/check_strings/double_quoted_strings_spec.rb", "spec/puppet-lint/plugins/check_strings/only_variable_string_spec.rb", "spec/puppet-lint/plugins/check_strings/puppet_url_without_modules_spec.rb", "spec/puppet-lint/plugins/check_strings/quoted_booleans_spec.rb", "spec/puppet-lint/plugins/check_strings/single_quote_string_with_variables_spec.rb", "spec/puppet-lint/plugins/check_strings/variables_not_enclosed_spec.rb", "spec/puppet-lint/plugins/check_variables/variable_contains_dash_spec.rb", "spec/puppet-lint/plugins/check_whitespace/2sp_soft_tabs_spec.rb", "spec/puppet-lint/plugins/check_whitespace/80chars_spec.rb", "spec/puppet-lint/plugins/check_whitespace/arrow_alignment_spec.rb", "spec/puppet-lint/plugins/check_whitespace/hard_tabs_spec.rb", "spec/puppet-lint/plugins/check_whitespace/trailing_whitespace_spec.rb", "spec/puppet-lint_spec.rb", "spec/spec_helper.rb"]
  s.homepage = "https://github.com/rodjek/puppet-lint/"
  s.rubygems_version = "2.2.2"
  s.summary = "Ensure your Puppet manifests conform with the Puppetlabs style guide"
  s.test_files = ["spec/fixtures/test/manifests/fail.pp", "spec/fixtures/test/manifests/ignore.pp", "spec/fixtures/test/manifests/ignore_multiple_block.pp", "spec/fixtures/test/manifests/ignore_multiple_line.pp", "spec/fixtures/test/manifests/ignore_reason.pp", "spec/fixtures/test/manifests/init.pp", "spec/fixtures/test/manifests/malformed.pp", "spec/fixtures/test/manifests/warning.pp", "spec/puppet-lint/bin_spec.rb", "spec/puppet-lint/configuration_spec.rb", "spec/puppet-lint/ignore_overrides_spec.rb", "spec/puppet-lint/lexer/token_spec.rb", "spec/puppet-lint/lexer_spec.rb", "spec/puppet-lint/plugins/check_classes/autoloader_layout_spec.rb", "spec/puppet-lint/plugins/check_classes/class_inherits_from_params_class_spec.rb", "spec/puppet-lint/plugins/check_classes/inherits_across_namespaces_spec.rb", "spec/puppet-lint/plugins/check_classes/names_containing_dash_spec.rb", "spec/puppet-lint/plugins/check_classes/nested_classes_or_defines_spec.rb", "spec/puppet-lint/plugins/check_classes/parameter_order_spec.rb", "spec/puppet-lint/plugins/check_classes/right_to_left_relationship_spec.rb", "spec/puppet-lint/plugins/check_classes/variable_scope_spec.rb", "spec/puppet-lint/plugins/check_comments/slash_comments_spec.rb", "spec/puppet-lint/plugins/check_comments/star_comments_spec.rb", "spec/puppet-lint/plugins/check_conditionals/case_without_default_spec.rb", "spec/puppet-lint/plugins/check_conditionals/selector_inside_resource_spec.rb", "spec/puppet-lint/plugins/check_documentation/documentation_spec.rb", "spec/puppet-lint/plugins/check_nodes/unquoted_node_name_spec.rb", "spec/puppet-lint/plugins/check_resources/duplicate_params_spec.rb", "spec/puppet-lint/plugins/check_resources/ensure_first_param_spec.rb", "spec/puppet-lint/plugins/check_resources/ensure_not_symlink_target_spec.rb", "spec/puppet-lint/plugins/check_resources/file_mode_spec.rb", "spec/puppet-lint/plugins/check_resources/unquoted_file_mode_spec.rb", "spec/puppet-lint/plugins/check_resources/unquoted_resource_title_spec.rb", "spec/puppet-lint/plugins/check_strings/double_quoted_strings_spec.rb", "spec/puppet-lint/plugins/check_strings/only_variable_string_spec.rb", "spec/puppet-lint/plugins/check_strings/puppet_url_without_modules_spec.rb", "spec/puppet-lint/plugins/check_strings/quoted_booleans_spec.rb", "spec/puppet-lint/plugins/check_strings/single_quote_string_with_variables_spec.rb", "spec/puppet-lint/plugins/check_strings/variables_not_enclosed_spec.rb", "spec/puppet-lint/plugins/check_variables/variable_contains_dash_spec.rb", "spec/puppet-lint/plugins/check_whitespace/2sp_soft_tabs_spec.rb", "spec/puppet-lint/plugins/check_whitespace/80chars_spec.rb", "spec/puppet-lint/plugins/check_whitespace/arrow_alignment_spec.rb", "spec/puppet-lint/plugins/check_whitespace/hard_tabs_spec.rb", "spec/puppet-lint/plugins/check_whitespace/trailing_whitespace_spec.rb", "spec/puppet-lint_spec.rb", "spec/spec_helper.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rake>, ["~> 10.0"])
      s.add_development_dependency(%q<rspec>, ["~> 3.0"])
      s.add_development_dependency(%q<rspec-its>, ["~> 1.0"])
      s.add_development_dependency(%q<rspec-collection_matchers>, ["~> 1.0"])
    else
      s.add_dependency(%q<rake>, ["~> 10.0"])
      s.add_dependency(%q<rspec>, ["~> 3.0"])
      s.add_dependency(%q<rspec-its>, ["~> 1.0"])
      s.add_dependency(%q<rspec-collection_matchers>, ["~> 1.0"])
    end
  else
    s.add_dependency(%q<rake>, ["~> 10.0"])
    s.add_dependency(%q<rspec>, ["~> 3.0"])
    s.add_dependency(%q<rspec-its>, ["~> 1.0"])
    s.add_dependency(%q<rspec-collection_matchers>, ["~> 1.0"])
  end
end
